import { SvelteComponentTyped } from "svelte";
import type { ComponentType } from 'svelte';
import type { Props } from './types.js';
declare const __propDef: {
    props: import("htmlparser2").ParserOptions & Omit<import("domhandler").DomHandlerOptions, "withStartIndices" | "withEndIndices"> & import("dom-serializer").DomSerializerOptions & {
        processNode?: import("./types.js").ProcessNode<string | ComponentType> | undefined;
        filterTags?: string[] | undefined;
        filterAttributes?: string[] | undefined;
        filterEventAttributes?: boolean | undefined;
        noHtmlNodes?: boolean | undefined;
        lowerCaseAttributeNames?: boolean | undefined;
    } & {
        /** The html string to parse */
        html: string;
        /** Object of components in the form of `{ componentName: component }` */
        components?: Record<string, ComponentType> | undefined;
        /** Object of component props in the form of `{ componentName: Props }` */
        props?: Record<string, Props> | undefined;
        /** A fallback component */
        fallback?: ComponentType | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type HtmlProps = typeof __propDef.props;
export type HtmlEvents = typeof __propDef.events;
export type HtmlSlots = typeof __propDef.slots;
export default class Html extends SvelteComponentTyped<HtmlProps, HtmlEvents, HtmlSlots> {
}
export {};
