export const loadComponents = async ({ nodes, components: componentNames }, loader) => {
    const components = {};
    const promises = [];
    for (const componentName of componentNames) {
        promises.push(loader(componentName).then(mod => (components[componentName] = 'default' in mod ? mod.default : mod)));
    }
    await Promise.all(promises);
    return { nodes, components };
};
